about summary refs log tree commit diff
path: root/tests/build-hook.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/build-hook.sh')
-rw-r--r--tests/build-hook.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/build-hook.sh b/tests/build-hook.sh
new file mode 100644
index 000000000000..681f65cc3b6c
--- /dev/null
+++ b/tests/build-hook.sh
@@ -0,0 +1,10 @@
+source common.sh
+
+export NIX_BUILD_HOOK="build-hook.hook.sh"
+
+outPath=$(nix-build build-hook.nix --no-out-link)
+
+echo "output path is $outPath"
+
+text=$(cat "$outPath"/foobar)
+if test "$text" != "BARBAR"; then exit 1; fi